summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Su <david.w.su@intel.com>2015-08-20 16:12:47 -0700
committerDavid Su <david.w.su@intel.com>2015-11-04 16:58:51 -0800
commita8a729210c0035ca3f2c3a4924a83962d61bb19e (patch)
tree5a66c83a9468fa79a5b91e9e9981855255f78a7c
parent64d546d45618651ee8d6a066e139e321794a511f (diff)
Add build script for continuous integration
The script is based on the build script for copper https://git.opnfv.org/cgit/releng/tree/jjb/copper/docu-build.sh The script should be run from the root of kvmfornfv source tree Change-Id: Ic12890990741441e88e35a87ef2570b1c601ca61 Signed-off-by: David Su <david.w.su@intel.com>
-rwxr-xr-xci/build.sh50
1 files changed, 50 insertions, 0 deletions
diff --git a/ci/build.sh b/ci/build.sh
new file mode 100755
index 000000000..d27b353bb
--- /dev/null
+++ b/ci/build.sh
@@ -0,0 +1,50 @@
+#!/bin/bash
+kernel_src_dir=kernel
+rpmbuild_dir=/tmp/kvmfornfv_rpmbuild.$$
+artifact_dir=${rpmbuild_dir}/RPMS/x86_64
+config_file="${kernel_src_dir}/arch/x86/configs/opnfv.config"
+output_dir="$1"
+
+usage () {
+ echo "usage: ${0} output_dir"
+ exit 1
+}
+
+if [[ -z "$@" ]]; then
+ usage
+fi
+
+if [ ! -d ${output_dir} -o ! -w ${output_dir} ] ; then
+ echo "${0}: Output directory '${output_dir}' does not exist or cannot be written"
+ exit 1
+fi
+
+if [ ! -d ${kernel_src_dir} ] ; then
+ echo "${0}: Directory '${kernel_src_dir}' does not exist, run this script from the root of kvmfornfv source tree"
+ exit 1
+fi
+
+if [ ! -f ${config_file} ] ; then
+ echo "${0}: ${config_file} does not exist"
+ exit 1
+fi
+
+echo
+echo "Build"
+echo
+
+cp -f ${config_file} "${kernel_src_dir}/.config"
+
+# Make timestamp part of version string for automated kernel boot verification
+date "+-%y%m%d%H%M" > "${kernel_src_dir}/localversion-zzz"
+
+( cd ${kernel_src_dir}; make RPMOPTS="--define '_topdir ${rpmbuild_dir}'" rpm-pkg )
+if [ ${?} -ne 0 ] ; then
+ echo "${0}: Kernel build failed"
+ rm -rf ${rpmbuild_dir}
+ exit 1
+fi
+
+cp -f ${artifact_dir}/* ${output_dir}
+
+rm -rf ${rpmbuild_dir}